Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia
Class MorphiaPlugin.MorphiaModelLoader

    java.lang.Object
      play.modules.morphia.MorphiaPlugin.MorphiaModelLoader

All Implemented Interfaces:
  Model.Factory

Enclosing class:
  MorphiaPlugin

    public static class MorphiaPlugin.MorphiaModelLoader

extends Object
implements Model.Factory

Method Summary
`Long` | `count(List<String> searchFields, String keywords, String where)`
`void` | `deleteAll()`
`List<Model>` | `fetch(int offset, int size, String orderBy, String order, List<String> searchFields, String keywords, String where)`
`Model` | `findById(Object id)`
`static Model.Factory` | `getFactory(Class<? extends Model> clazz)`
`String` | `keyName()`
`Class<?>` | `keyType()`
`Object` | `keyValue(Model m)`
`List<Model.Property>` | `listProperties()`
`static void` | `processWhere(Query<?> q, String where)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFactory

    public static Model.Factory getFactory(Class<? extends Model> clazz)

### findById

    public Model findById(Object id)

  Specified by:
    `findById` in interface `Model.Factory`

### fetch

    public List<Model> fetch(int offset,
                             int size,
                             String orderBy,
                             String order,
                             List<String> searchFields,
                             String keywords,
                             String where)

  Specified by:
    `fetch` in interface `Model.Factory`

### count

    public Long count(List<String> searchFields,
                      String keywords,
                      String where)

  Specified by:
    `count` in interface `Model.Factory`

### processWhere

    public static void processWhere(Query<?> q,
                                    String where)

### deleteAll

    public void deleteAll()

  Specified by:
    `deleteAll` in interface `Model.Factory`

### listProperties

    public List<Model.Property> listProperties()

  Specified by:
    `listProperties` in interface `Model.Factory`

### keyName

    public String keyName()

  Specified by:
    `keyName` in interface `Model.Factory`

### keyType

    public Class<?> keyType()

  Specified by:
    `keyType` in interface `Model.Factory`

### keyValue

    public Object keyValue(Model m)

  Specified by:
    `keyValue` in interface `Model.Factory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.